## corectrl 1.1.0

=== debian/changelog ===
corectrl (1.1.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * rules: update with additional dh_auto_configure options.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sat, 06 Jun 2020 15:54:36 -0400

corectrl (1.0.9-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * commented out 01-qdbuspendingcall.patch to fixed upstream

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 30 May 2020 00:43:20 -0400

corectrl (1.0.8-1~mx19+1) mx; urgency=medium

  * Initial packaging of new upstream release for MX 19.
  * Added 01-qdbuspendingcall.patch to fix upstream compile error bug #62

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 18 Mar 2020 00:44:32 -0400

corectrl (1.0.7-1~mx19+1) mx; urgency=medium

  * Initial release for MX-19
  * Debianized package

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Mon, 02 Dec 2019 21:02:05 -0400
