=== debian/control ===
Source: corectrl
Section: system
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Juan Palacios <jpalaciosdev@gmail.com>
Build-Depends:
 cmake,
 gcc,
 extra-cmake-modules,
 debhelper (>=11~),
 qttools5-dev,
 qml-module-qtquick2,
 qtdeclarative5-dev,
 libqt5charts5-dev,
 libkf5auth-dev,
 libkf5archive-dev,
 libbotan-2-dev,
 libqca-qt5-2-dev
Standards-Version: 4.1.4
Homepage: https://gitlab.com/corectrl/corectrl

Package: corectrl
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 qml-module-qtquick2,
 qml-module-qtquick-controls2,
 qml-module-qt-labs-platform,
 qml-module-qtcharts,
 qml-module-qtquick-window2,
 qml-module-qtquick-layouts,
 sysvinit-utils,
 util-linux,
 hwdata,
 mesa-utils,
 vulkan-tools
Description: Control your hardware with ease using application profiles
 CoreCtrl is a Free and Open Source GNU/Linux application that
 allows you to control with ease your computer hardware using
 application profiles. It aims to be flexible, comfortable and
 accessible to regular users.
