## corectrl 1.3.1

=== debian/changelog ===
corectrl (1.3.1-0~mx21) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 06 Nov 2022 14:48:32 -0500
