=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: corectrl
 Section: system
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: Juan Palacios <jpalaciosdev@gmail.com>
 Build-Depends:
  cmake,
@@ -11,11 +11,16 @@
  qttools5-dev,
  qml-module-qtquick2,
  qtdeclarative5-dev,
+ libdbus-1-dev,
+ libdrm-dev,
  libqt5charts5-dev,
  libkf5auth-dev,
  libkf5archive-dev,
  libbotan-2-dev,
- libqca-qt5-2-dev
+ libpolkit-gobject-1-dev,
+ libqca-qt5-2-dev,
+ libqt5svg5-dev,
+ libquazip5-dev
 Standards-Version: 4.1.4
 Homepage: https://gitlab.com/corectrl/corectrl
