=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release

override_dh_strip:
	dh_strip --no-automatic-dbgsym
