=== debian/changelog ===
corectrl (1.3.3+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #986925)

 -- Gürkan Myczko <tar@debian.org>  Mon, 13 Mar 2023 07:20:56 +0100
