=== debian/control ===
Source: corectrl
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 catch2,
 cmake,
 libbotan-2-dev,
 libunits-cpp-dev,
 libeasyloggingpp-dev,
 libtrompeloeil-cpp-dev,
 libquazip1-qt5-dev,
 libqt5charts5-dev,
 libqt5svg5-dev,
 libdbus-1-dev,
 libpolkit-gobject-1-dev,
 libdrm-dev,
 libpugixml-dev,
 libfmt-dev,
 qtdeclarative5-dev,
 qttools5-dev,
 qml-module-qtquick2,
 patchelf
Standards-Version: 4.6.2
Homepage: https://gitlab.com/corectrl/corectrl
Vcs-Browser: https://salsa.debian.org/debian/corectrl
Vcs-Git: https://salsa.debian.org/debian/corectrl.git

Package: corectrl
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 vulkan-tools,
 qml-module-qtcharts,
 qml-module-qtquick-layouts,
 qml-module-qtquick-controls2,
 qml-module-qt-labs-platform,
Description: Control your computer hardware using application profiles
 This aims to be flexible, comfortable and accessible to regular users.
