## corectrl 1.3.5

=== debian/changelog ===
corectrl (1.3.5-0mx23) mx; urgency=medium

  * New upstream release
  * Build for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 04 Apr 2023 00:13:23 -0400
