=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: corectrl
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com
+XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Rules-Requires-Root: no
 Build-Depends:
