=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,40 +1,8 @@
 configure_file(config.h.in config.h)
 
-list(APPEND 3RDPARTY_INCLUDE_DIRECTORIES
-  ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty
-)
-
-list (APPEND 3RDPARTY_COMMON_SRC
-  ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/fmt/format.cc
-  ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/easyloggingpp/easylogging++.cc
-)
-
-list (APPEND 3RDPARTY_COMMON_DEFINITIONS
+list(APPEND APP_COMPILE_DEFINITIONS
+  ${3RDPARTY_DEFINITIONS}
   ELPP_THREAD_SAFE
-  ELPP_FORCE_USE_STD_THREAD
-  ELPP_NO_LOG_TO_FILE
-  ELPP_NO_DEFAULT_LOG_FILE
-)
-
-list (APPEND 3RDPARTY_SRC
-  ${3RDPARTY_COMMON_SRC}
-  ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/pugixml/pugixml.cpp
-)
-
-list (APPEND 3RDPARTY_DEFINITIONS
-  ${3RDPARTY_COMMON_DEFINITIONS}
-  UNIT_LIB_DISABLE_IOSTREAM
-  DISABLE_PREDEFINED_UNITS
-  ENABLE_PREDEFINED_DATA_UNITS
-  ENABLE_PREDEFINED_ANGLE_UNITS
-  ENABLE_PREDEFINED_TIME_UNITS
-  ENABLE_PREDEFINED_ANGULAR_VELOCITY_UNITS
-  ENABLE_PREDEFINED_FREQUENCY_UNITS
-  ENABLE_PREDEFINED_VOLTAGE_UNITS
-  ENABLE_PREDEFINED_POWER_UNITS
-  ENABLE_PREDEFINED_TEMPERATURE_UNITS
-  ENABLE_PREDEFINED_CONVERT_UNITS
-  ENABLE_PREDEFINED_CONCENTRATION_UNITS
 )
 
 list(APPEND COMMON_SRC
@@ -257,3 +225,14 @@
   core/components/controls/controlgroupqmlitem.cpp
   core/components/controls/noopqmlitem.cpp
   core/components/controls/amd/pm/pmperfmodeqmlitem.cpp
+  core/components/controls/amd/pm/auto/pmautoqmlitem.cpp
+  core/components/controls/amd/pm/fixed/pmfixedqmlitem.cpp
+  core/components/controls/amd/pm/advanced/pmadvancedqmlitem.cpp
+  core/components/controls/amd/pm/advanced/dynamicfreq/pmdynamicfreqqmlitem.cpp
+  core/components/controls/amd/pm/advanced/fixedfreq/pmfixedfreqqmlitem.cpp
+  core/components/controls/amd/pm/advanced/freqmode/pmfreqmodeqmlitem.cpp
+  core/components/controls/amd/pm/advanced/overclock/pmoverclockqmlitem.cpp
+  core/components/controls/amd/pm/advanced/overclock/freqod/pmfreqodqmlitem.cpp
+  core/components/controls/amd/pm/advanced/overdrive/pmoverdriveqmlitem.cpp
+  core/components/controls/amd/pm/advanced/overdrive/freqvolt/pmfreqvoltqmlitem.cpp
+  core/components/controls/amd/pm/advanced/overdrive/freqrange/pmfreqrangeqmlitem.cpp
