=== src/helper/CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,13 @@
   message(FATAL_ERROR "Failed to retrieve Polkit `policydir` variable using pkg-config")
 endif()
 
+list(APPEND HELPER_COMPILE_DEFINITIONS
+  ELPP_THREAD_SAFE
+  ELPP_FORCE_USE_STD_THREAD
+  ELPP_NO_LOG_TO_FILE
+  ELPP_NO_DEFAULT_LOG_FILE
+)
+
 list(APPEND PROCESS_MONITOR_SRC
   pmon/processmonitor.cpp
   pmon/procpidsolver.cpp
@@ -51,7 +58,7 @@
 add_executable(corectrl_helperkiller
   helperkiller.cpp
   polkit.cpp
-  ${3RDPARTY_COMMON_SRC}
+  ${3RDPARTY_SRC}
 )
 set(CMAKE_AUTOMOC OFF)
 
@@ -59,12 +66,12 @@
   ${POLKIT_INCLUDE_DIRS}
   ${3RDPARTY_INCLUDE_DIRECTORIES}
 )
-target_compile_features(corectrl_helperkiller PRIVATE ${TARGET_COMMON_COMPILE_FEATURES})
-target_compile_definitions(corectrl_helperkiller PRIVATE ${3RDPARTY_COMMON_DEFINITIONS})
+target_compile_definitions(corectrl_helperkiller PRIVATE ${HELPER_COMPILE_DEFINITIONS})
 target_link_libraries(corectrl_helperkiller PRIVATE
   Qt5::Core
   Qt5::DBus
   ${POLKIT_LIBRARIES}
+  $<$<BOOL:${fmt_FOUND}>:fmt::fmt>
 )
 
 configure_file(org.corectrl.helperkiller.service.in org.corectrl.helperkiller.service)
@@ -77,7 +84,7 @@
 add_executable(corectrl_helper
   helper.cpp
   polkit.cpp
-  ${3RDPARTY_COMMON_SRC}
+  ${3RDPARTY_SRC}
   ${COMMON_SRC}
   ${PROCESS_MONITOR_SRC}
   ${SYSTEM_CONTROL_SRC}
@@ -90,8 +97,7 @@
   ${3RDPARTY_INCLUDE_DIRECTORIES}
   ${PROJECT_SOURCE_DIR}/src
 )
-target_compile_features(corectrl_helper PRIVATE ${TARGET_COMMON_COMPILE_FEATURES})
-target_compile_definitions(corectrl_helper PRIVATE ${3RDPARTY_COMMON_DEFINITIONS})
+target_compile_definitions(corectrl_helper PRIVATE ${HELPER_COMPILE_DEFINITIONS})
 target_link_libraries(corectrl_helper PRIVATE
   Qt5::Core
   Qt5::DBus
@@ -99,6 +105,7 @@
   pthread
   ${Botan_LIBRARIES}
   ${POLKIT_LIBRARIES}
+  $<$<BOOL:${fmt_FOUND}>:fmt::fmt>
 )
 
 configure_file(org.corectrl.helper.service.in org.corectrl.helper.service)
