=== debian/changelog ===
corectrl (1.3.5+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Gürkan Myczko <tar@debian.org>  Sun, 06 Aug 2023 16:13:38 +0200

corectrl (1.3.5+ds-1) unstable; urgency=medium

  * New upstream release
  * Added missing runtime deps in d/control (Closes: #1034272)
  * Updated extended description

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 09 Apr 2023 09:27:45 +0200
