=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: corectrl
 Section: utils
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Gürkan Myczko <tar@debian.org>
 Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
 Rules-Requires-Root: no
 Build-Depends:
@@ -40,5 +39,8 @@
  qml-module-qtquick-layouts,
  qml-module-qtquick-controls2,
  qml-module-qt-labs-platform,
+ qml-module-qtquick-window2,
+ qml-module-qtquick2,
 Description: Control your computer hardware using application profiles
+ corectrl allows control of the CPU and AMD GPUs to set custom profiles for applications.
  This aims to be flexible, comfortable and accessible to regular users.
