## corectrl 1.3.6+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.3)
 
 project(CoreCtrl LANGUAGES CXX)
-set(PROJECT_VERSION 1.3.5)
+set(PROJECT_VERSION 1.3.6)
 
 include(GNUInstallDirs)
