=== debian/changelog ===
corectrl (1.3.6+ds-1) unstable; urgency=medium

  * New upstream release 
  * Sorted d/copyright; added myself for debian/* files
  * Include patch to fix cross building (Closes: #1040535)
  * Remove executable bit for d/watch
  * Updated my mail adress in d/control

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 22 Oct 2023 20:30:51 +0200
