=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=gz,\
dversionmangle=s/\+(ds)(\.\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/corectrl-$1\.tar\.gz/ \
   https://gitlab.com/corectrl/corectrl/tags?sort=updated_desc archive/v?\d[\d.]+/corectrl-v?([\d.]+)@ARCHIVE_EXT@
