## corectrl 1.3.8+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 cmake_minimum_required(VERSION 3.3)
 
-project(CoreCtrl LANGUAGES CXX)
-set(PROJECT_VERSION 1.3.6)
+project(CoreCtrl)
+set(PROJECT_HOMEPAGE_URL "https://gitlab.com/corectrl/corectrl")
+set(PROJECT_FQDN "org.corectrl.corectrl")
+set(PROJECT_VERSION 1.3.8)
 
 include(GNUInstallDirs)
 
@@ -10,13 +12,13 @@
 
 # add uninstall target
 if(NOT TARGET uninstall)
- configure_file(
-   "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
-   "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
-   IMMEDIATE @ONLY)
+  configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+    IMMEDIATE @ONLY)
 
- add_custom_target(uninstall
-   COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+  add_custom_target(uninstall
+    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
 endif()
 
 set(CMAKE_CXX_STANDARD 17)
@@ -99,22 +101,24 @@
 # Icons
 string(TOLOWER "${PROJECT_NAME}" ICON_NAME)
 foreach(ICON_SIZE 16 22 24 32 48 64 72 96 128 192 256)
-    install(
-        FILES resources/icon/app_${ICON_SIZE}.svg
-        DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/${ICON_SIZE}x${ICON_SIZE}/apps
-        RENAME ${ICON_NAME}.svg
-    )
+  install(
+    FILES resources/icon/app_${ICON_SIZE}.svg
+    DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/icons/hicolor/${ICON_SIZE}x${ICON_SIZE}/apps
+    RENAME ${ICON_NAME}.svg
+  )
 endforeach()
 
 # .desktop file
 install(
   FILES resources/launcher.desktop
   DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/applications
-  RENAME org.corectrl.corectrl.desktop
+  RENAME ${PROJECT_FQDN}.desktop
 )
 
 # AppStream metadata
+configure_file(resources/appdata.xml.in resources/appdata.xml)
 install(
-  FILES resources/org.corectrl.corectrl.appdata.xml
+  FILES ${CMAKE_BINARY_DIR}/resources/appdata.xml
   DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/metainfo
+  RENAME ${PROJECT_FQDN}.appdata.xml
 )
