=== src/helper/CMakeLists.txt ===
--- 
+++ 
@@ -23,10 +23,10 @@
 # Find polkit
 pkg_check_modules(POLKIT REQUIRED polkit-gobject-1)
 execute_process(
-    COMMAND pkg-config --variable=policydir polkit-gobject-1
-    RESULT_VARIABLE POLKIT_POLICY_INSTALL_DIR_RESULT
-    OUTPUT_VARIABLE POLKIT_POLICY_INSTALL_DIR
-    OUTPUT_STRIP_TRAILING_WHITESPACE
+  COMMAND pkg-config --variable=policydir polkit-gobject-1
+  RESULT_VARIABLE POLKIT_POLICY_INSTALL_DIR_RESULT
+  OUTPUT_VARIABLE POLKIT_POLICY_INSTALL_DIR
+  OUTPUT_STRIP_TRAILING_WHITESPACE
 )
 if(NOT POLKIT_POLICY_INSTALL_DIR_RESULT EQUAL "0")
   message(FATAL_ERROR "Failed to retrieve Polkit `policydir` variable using pkg-config")
@@ -47,6 +47,7 @@
   pmon/processregistry.cpp
   pmon/appregistry.cpp
   pmon/msgdispatcher.cpp
+  pmon/processeventconnector.c
 )
 
 list(APPEND SYSTEM_CONTROL_SRC
