=== debian/changelog ===
corectrl (1.3.8+ds-1) unstable; urgency=medium

  * New upstream release
  * Added d/gbp.conf
  * Refresh cross.patch
  * Updated copyright information for appdata file

 -- Matthias Geiger <werdahias@riseup.net>  Mon, 06 Nov 2023 19:31:20 +0100
