=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
-Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
+Uploaders: Matthias Geiger <werdahias@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
