## corectrl 1.3.11+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(CoreCtrl)
 set(PROJECT_HOMEPAGE_URL "https://gitlab.com/corectrl/corectrl")
 set(PROJECT_FQDN "org.corectrl.corectrl")
-set(PROJECT_VERSION 1.3.8)
+set(PROJECT_VERSION 1.3.11)
 
 include(GNUInstallDirs)
