=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,9 @@
 list(APPEND COMMON_SRC
   ${CMAKE_CURRENT_SOURCE_DIR}/common/fileutils.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/common/stringutils.cpp
+)
+
+list(APPEND CRYPTO_SRC
   ${CMAKE_CURRENT_SOURCE_DIR}/common/cryptolayer.cpp
 )
 
@@ -74,6 +77,7 @@
   core/info/amd/gpuinfovbios.cpp
   core/info/amd/gpuinfovram.cpp
   core/info/amd/gpuinfouniqueid.cpp
+  core/info/amd/gpuinfoodfanctrl.cpp
 )
 
 list(APPEND CONTROLS_SRC
