=== src/helper/CMakeLists.txt ===
--- 
+++ 
@@ -87,6 +87,7 @@
   polkit.cpp
   ${3RDPARTY_SRC}
   ${COMMON_SRC}
+  ${CRYPTO_SRC}
   ${PROCESS_MONITOR_SRC}
   ${SYSTEM_CONTROL_SRC}
 )
