=== debian/changelog ===
corectrl (1.3.11+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:19 +1100

corectrl (1.3.11+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 13 Mar 2024 19:54:21 +0100

corectrl (1.3.10+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Mon, 12 Feb 2024 23:36:24 +0100

corectrl (1.3.9+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 17 Jan 2024 22:25:24 +0100
