=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: corectrl
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
 Uploaders: Matthias Geiger <werdahias@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
